.header {
  @include flex($just: space-between, $align: center);

  // border-bottom:1px solid $grey-light;
  padding: 0 $header-content-padding;

  z-index: z("header");

  position: relative;

  width: 100%;

  background: url("/content/images/header.jpg") no-repeat;
  background-size: cover;
  background-position: center center;

  @include md {
    height: $header-height;
  }

  @include xs {
    background: url("/content/images/header-small.png") no-repeat;
  }

  &__logo {
    max-height: $header-height;
    padding: 1.25rem 0;
  }

  &__menu {
    @include flex(row, center, center);
    width: 100%;
    height: 50px;
  }

  &__actions {
    @include flex($align: center);

    height: 100%;

    @include sm() {
      margin-left: 1rem;
    }
  }

  &__info {
    @include flex($align: center);

    font-size: 1.1rem;
    color: $grey-font;
    text-transform: uppercase;

    @include md {
      display: none;
    }
  }

  &__hamburguer {
    $hmb-button-size: 50px;

    display: none;

    width: $hmb-button-size;
    height: 100%;

    .hamburguer {
      $hmb-slide-width: 20px;
      $hmb-slide-separation: 8px;

      &__switch {
        position: relative;

        width: 100%;
        height: 100%;
      }

      &__bread,
      &__patty {
        @include transition($t: all 200ms ease-out);

        display: block;

        position: absolute;
        top: 50%;
        left: 15px;

        width: $hmb-slide-width;
        height: 2px;

        background-color: $white;
      }

      &__bread {
        margin-top: -$hmb-slide-separation;
        ~ .hamburguer__bread {
          margin-top: $hmb-slide-separation;
        }
      }
    }
  }

  #header-menu-switch:checked ~ & {
    .header {
      &__hamburguer {
        .hamburguer {
          &__patty {
            display: none;
          }

          &__bread {
            transform: translate(0, 10px) rotate(45deg);

            ~ .hamburguer__bread {
              transform: translate(0, -6px) rotate(-45deg);
            }
          }
        }
      }
    }
  }

  @supports (display: grid) {
    display: grid;
    // grid-template-columns:repeat(3, 1fr);
    grid-template-columns: minmax(150px, auto) 1fr auto;

    &__actions {
      justify-content: flex-end;
    }
  }

  @include md {
    &:not(.header--home) {
      @include flex($just: space-between);

      position: fixed;
      top: 0;

      padding: 0 1rem;

      .header {
        &__menu {
          display: none;
        }

        .menu {
          display: none;
        }

        &__logo-wrap {
          grid-column: 2 / 3;
          justify-self: center;
        }

        &__actions {
          order: 3;
        }

        &__search-input {
          display: none;

          position: fixed;
          top: $header-height;
          left: 0;

          padding: 1.5rem;

          background: $white;
          width: 100%;

          border-bottom: 1px solid $black;

          @include md {
            color: $black-abs;
          }
        }

        &__hamburguer {
          display: block;

          position: absolute;
          left: 0;

          order: 1;
        }

        &__logo-wrap {
          display: block;
          order: 2;
          margin-left: 4rem;

          flex-shrink: 0;
        }
      }
    }
  }
}

.header {
  &--home {
    @include flex($just: space-between, $align: center);

    position: fixed;

    padding: 0 $content-padding 0 $home-left-padding;

    border: none;

    background: transparent;

    height: $home-header-height;

    .header__logo {
      max-height: $home-header-height;

      margin-top: 100px;
    }

    @include sm() {
      padding: 0 2.5rem 0 5vw;

      .header__logo {
        margin-top: 0;
      }
    }
  }
}

.header-fixed {
  top: 0;
  position: -webkit-sticky;
  position: sticky;
  background: #fadcda;
  z-index: 99;
  @include sm(){
    border-bottom: 1px solid gainsboro;
  }
  
}
